module.exports = {

    /**
     * Genere une liste de n fois un element
     * @param {object} element
     * @param {number} nbElem
     * @returns {Array}
     */
    generateArrayOfNElement : (element,nbElem)=>{
        var arrayElem = [];
        for(var i=0;i<nbElem;i++){
            arrayElem.push(element);
        }
        return(arrayElem);
    },

    /**
     * Genere une liste par intervalle de 1 de n elements
     * @param {number} begin
     * @param {number} nbElem
     * @returns {Array}
     */
    generateArrayOfNumberInOrder : (begin,nbElem)=>{
        var arrayElem = [];
        for(var i=0;i<nbElem;i++){
            arrayElem.push(i+begin);
        }
        return(arrayElem);
    },

    /**
     * multiplie une liste n fois
     * @param {Array} arrayBase
     * @param {number} nbTimes
     * @returns {Array}
     */
    generateListNTimes(arrayBase,nbTimes){
        var arrayElem = [];
        for (var i =0; i<nbTimes; i++){
            arrayElem = arrayElem.concat(arrayBase);
        }
        return arrayElem;
    }

}