module.exports = {

    nbForWin : null,
    response : null,
    currentElement : null,
    element : null,
    //element : null,
    indice : null,

    /**
     *
     * @param backgroundKey
     * @param sceneContext
     */
    initDecorLevel : (backgroundKey,sceneContext)=>{
        sceneContext.add.image(0,0,backgroundKey);
        sceneContext.cameras.main.centerOn(0,0);
        sceneContext.cameras.main.setZoom(scale);
    },

    /**
     *
     * @param target
     */
    success : function(target){
        target.alpha = 1;
        target.clearTint();
    },

    /**
     * Fonctionnement du niveau 1, en attente d'un clic
     * @param element
     * @param markerelement
     * @param nbForWin
     * @param response
     * @param currentElement
     * @param globalSoundKey
     * @param score
     * @param contextScene
     * @param gamelevel
     * @param persoSpeakAnim
     */
    level1WaitClick : (listElement,nbForWin,response,currentElement,animKey,score,contextScene,gamelevel,persoSpeakAnim,indice,persoSpeak)=>{

        var markerelement = contextScene.getObjectInBdd(indice);
        contextScene.testSpeak(indice,animKey,persoSpeak,markerelement,listElement);

        if (response.includes(indice) == false){
            mLevel.success(score.children.entries[response.length]);
            response.push(indice);
            }
        if (response.length == nbForWin){
            mAnimation.animationWinLevel(persoSpeakAnim,-50,500,contextScene,-1,contextScene.scene,gamelevel);
            response.push("win");
            mButtons.nextLevelBehaviour(contextScene.scene,gamelevel);
            }
    },

    /**
     * Fonctionnement des niveaux avec consigne, en attente d'un clic
     * @param {object} element
     * @param {} markerelement
     * @param {list} listElement
     * @param {number} nbForWin
     * @param {list} response
     * @param {object} currentElement
     * @param {} globalSoundKey
     * @param {number} score
     * @param {} contextScene
     * @param {number} gamelevel
     * @param {} persoSpeakAnim
     * @param {object} bdd
     * @param {number} delay
     * @param {string} soundKey
     * @param {string} animKey
     * @param {object} persoAnim
     * @param {object} speakAnim
     * @param {number} indice
     * @param {number} randomLevel2
     * @returns {*}
     */
    level2Loto : (indice,listElement,nbForWin,response,currentElement,score,contextScene,gamelevel,bdd,delay,soundKey,animKey,persoSpeak,randomLevel2)=>{
        if (indice == currentElement && response.length < nbForWin){
            mLevel.success(score.children.entries[response.length]);
            response.push(indice);
            }
        else{
            mAnimation.animationBadClick(response.length,nbForWin,score.children.entries[response.length],contextScene);
            mSongManage.playBadClick(contextScene);
            }
        if (response.length == nbForWin){
            //this.animationJumpPerso();
            mAnimation.animationWinLevel(persoSpeak.container,-50,500,contextScene,1,contextScene.scene,gamelevel);
            contextScene.fClickTween.pause();
            contextScene.fClickPerso.setVisible(false);
            response.push("win");
            }
        if (currentElement==indice && response.length < nbForWin){
            currentElement = mLevel.stepLoto(listElement,bdd,animKey,persoSpeak,contextScene,response,randomLevel2);
            }
        return currentElement;
    },

    /**
     * retourne l'indice de la nouvelle consigne et déclenche les sons et animations
     * @param values
     * @param bdd
     * @param animKey
     * @param persoSpeak
     * @param contextScene
     * @param response
     * @param randomLevel2
     * @returns {*}
     */
    stepLoto(values,bdd,animKey,persoSpeak,contextScene,response,randomLevel2){
        var randomQuestion = randomLevel2[response.length];
        var markerelement = contextScene.getObjectInBdd(randomQuestion);
        contextScene.testSpeak(randomQuestion,animKey,persoSpeak.perso,markerelement,values);
        return randomQuestion;
    }

}