module.exports = {
    /**
     * donne un aleatoire entre 2 nombres (min et max)
     * @param {number} min
     * @param {number} max
     * @returns {number}
     */
    randomNumber : function(min,max){
        return Math.floor(Math.random() * (max-min+1)+min);
    	},

    /**
     * génère un aleatoire pair, genere nombre pair, si on veut un nombre pair entre 2 nombres
     * @param min
     * @param max
     * @returns {number}
     */
    randompair : function(min,max){
        return Math.trunc(this.randomNumber(min,max)/2)*2;
    	},

    /**
     *
     * @param nbElem
     * @param elements
     * @param newelements
     * @returns {Array}
     */
    randomAndSplice : function(nbElem,elements,newelements){
        var i = 0;
        let element;
        var rand;
        var orderElement = [];
        var position;
        var allElements = newelements; //elements.slice(0);
        while (i<nbElem){
            rand = mRandom.randomNumber(0,allElements.length-1);
            element = allElements.splice(rand,1);
            // position = parseInt(element);    //parse pas obligatoire
            position = parseInt(element[0]);
            //group.children.entries[i].setTint(bdd[element[0]].tint);    //setFrame de l'image
            orderElement.push(position);    ////sans le parse, mettre color[0]
            i=i+1;
        }
        return(orderElement);
    },

    /**
     *
     * @param values
     * @param elements
     * @param nbElem
     * @returns {[*,*]}
     */
    randomCrossElem : function(values,elements,nbElem){
        var i = 0;
        var index;
        var indexList = mObjectOperation.generateArrayOfNumberInOrder(0,nbElem);
        var valuesInGame = mObjectOperation.generateArrayOfNElement(0,nbElem);
        var elementsInGame = mObjectOperation.generateArrayOfNElement(0,nbElem);
        while (i<values.length){
            var j = 0;
            while (j<elements.length) {
                var rand = mRandom.randomNumber(0, indexList.length-1);
                index = indexList.splice(rand, 1);
                elementsInGame[index[0]] = elements[j];
                valuesInGame[index[0]] = values[i];
                j=j+1;
                }
            i=i+1;
        }
        return([elementsInGame,valuesInGame]);
    }
}