module.exports = {
    returnbutton : document.getElementById('button_return'),

    /**
     *
     */
    buttonReturnDisplay : function(){
        var returnButton = document.getElementById("button_return");
        if (actualScene == "Trasmetta" || actualScene == "InPiu" || actualScene == "Level"){
            returnButton.src = "assets/images/n_home.png";
        }
        else{
            returnButton.src = "assets/images/n_retour.png";
        }
        returnButton.style.display = 'block';
        var returnScale = scale;
        returnButton.style.transform = "scale("+ returnScale +")";
    },

    /**
     *
     * @param scenemenu
     */
    trasmettaReturnToMenu : function(scenemenu){
        scenemenu.start("Menu");
        trasmetta.displayContainer('none');
        if (mVideo.player!=null) {
            if (mVideo.video.isPlaying == true) {
                mVideo.player.pause();
            }
            mVideo.player.remove();
            mVideo.player = null;
        }
        mSongManage.setMusicVolume(0.8);
        actualScene = "Menu";
    },


    inpiuReturnToMenu : function(scenemenu){
        document.getElementById('container').style.display = "none";
        scenemenu.start("Menu");
        if (mVideo.player!=null) {
            if (mVideo.video.isPlaying == true) {
                mVideo.player.pause();
            }
            mVideo.player.remove();
            mVideo.player = null;
        }
        mSongManage.setMusicVolume(0.8);
        mReturn.returnbutton.style.display = 'none';
        document.getElementById("inPiu").style.display = 'none';

    },

    /**
     *RETOUR GLOBAL
     * @param scenemenu
     * @param display
     */
    returnMenu : function(contextScene,display,soundKey){
        mReturn.returnbutton = document.getElementById('button_return');
        mReturn.returnbutton.onclick = function(){
            //if (mSongManage.playSongState!=false){
            //if (mSongManage.currentSong!=null && mSongManage.currentSong!="debut") {
            if (mSongManage.currentSong!=null){
                console.log("CURRENTIF", mSongManage.currentSong);
                mSongManage.destroySong(mSongManage.currentSong, contextScene);
            }
            //}
            /*else{
                console.log("CURRENTELSE",mSongManage.currentSong);
            }*/
            //else{
            if (mSongManage.playSongState==false) {
                contextScene.scene.stop(actualScene);
                mReturn.returnbutton.style.display = display;
                contextScene.scene.run(previousScene);
                mButtons.displayButton('button_next', 'none');
            }
            else {
                mSongManage.playSongState = false;
            }
        };
    },


    returnFilastrocchi : function(scene,display,soundKey){
        mReturn.returnbutton = document.getElementById('button_return');
        mReturn.returnbutton.onclick = function(){
            mReturn.stopMusic(scene,display,soundKey);
        };
    },

    stopMusic : function(scene,display,soundKey){
        if (soundKey!=null) {
            soundKey.pause();
            soundKey.destroy();
            soundKey = null;
        }
        scene.stop(actualScene);
        mReturn.returnbutton.style.display = display;
        scene.run(previousScene);
        mButtons.displayButton('button_next','none');
    },

    /**
     * BOUTON RETOUR ANDROID
     * @param scenemenu
     */
    /*onReturn : function(scenemenu,contextGame){
        console.log("AS",actualScene);
        //console.log("SCENEMENU",scenemenu);
        console.log("contextGame",contextGame);
        if (actualScene!='Menu' && actualScene!='Trasmetta') {
            scenemenu.stop(actualScene);
            document.getElementById('button_return').style.display = 'none';
            scenemenu.run(previousScene);
        }
        if (actualScene=='Song') {
            var music = contextGame.sound.sounds.find((e)=>{return e.key == "songTheme";});
            var sceneSong = contextGame.scene.scenes.find(((e)=>{return e.scene.key == "Song";}));
            mReturn.stopMusic(sceneSong.scene,"none",music);
        }
        if (actualScene=='InPiu'){
            console.log('ACTUALSCENEINPIU',contextGame.scene);
            //console.log('ACTUALSCENEINPIU',scenemenu);
            mReturn.inpiuReturnToMenu(contextGame.scene);
            //contextGame.scene.get('Menu')
            //actualScene = "Menu";
        }
        if (actualScene=='Trasmetta'){
            //var sceneTrasmetta = contextGame.scene.scenes.find(((e)=>{return e.scene.key == "Menu";}));
            //mReturn.returnTest(scenemenu);
            //console.log(contextGame.scene.keys.Menu);
        }
    },*/

    onReturn(scenemenu,contextGame){
        if (actualScene!='Menu' && actualScene!='Trasmetta') {
            scenemenu.stop(actualScene);
            document.getElementById('button_return').style.display = 'none';
            scenemenu.run(previousScene);
        }
        if (actualScene=='Song') {
            var music = contextGame.sound.sounds.find((e)=>{return e.key == "songTheme";});
            var sceneSong = contextGame.scene.scenes.find(((e)=>{return e.scene.key == "Song";}));
            mReturn.stopMusic(sceneSong.scene,"none",music);
        }
        if (actualScene=='InPiu'){
            mReturn.inpiuReturnToMenu(contextGame.scene);
        }
        if (actualScene=='Trasmetta'){
            mReturn.returnTest(contextGame.scene);
        }
    },

    /**
     *
     * @returns {[number,number]}
     */

    returnTest(scenemenu){
        if (mVideo.player != null){
            if (mVideo.player.isFullScreen == false)
            {
                if (document.getElementById("videoEntiere").style.display == 'none'){
                    mReturn.trasmettaReturnToMenu(scenemenu);
                }
                else{
                    document.getElementById("videoEntiere").style.display = 'none';
                    //document.getElementById("videos").style.display = 'none';
                    //document.getElementById("videos2").style.display = 'block';
                    trasmetta.showAllVideos();
                    document.getElementById("button_return").style.display = 'block';
                }
            }
            else
            {
                if (mVideo.player.paused == false){
                    mVideo.player.pause();
                    console.log("DEDANS");
                }
                mSongManage.setMusicVolume(0.8);
                mVideo.unfullscreen();
                mVideo.video.setAttribute('clicked', 1);
            }
        }
    }
};